Loading...
Searching...
No Matches
CLI::ConfigItem Struct Reference

Holds values to load into Options. More...

`#include <ConfigFwd.hpp>`

## Public Member Functions

CLI11_NODISCARD std::string | fullname () const
| The list of parents and name joined by ".".

## Public Attributes

std::vector< std::string > | parents {}
| This is the list of parents.
std::string | name {}
| This is the name.
std::vector< std::string > | inputs {}
| Listing of inputs.
bool | multiline {false}
| indicator if a multiline vector separator was inserted

## Detailed Description

Holds values to load into Options.

## Member Function Documentation

## fullname()

CLI11_NODISCARD std::string CLI::ConfigItem::fullname | ( |  | ) | const

inline

The list of parents and name joined by ".".

## Member Data Documentation

## inputs

std::vector<std::string> CLI::ConfigItem::inputs {}

Listing of inputs.

## multiline

bool CLI::ConfigItem::multiline {false}

indicator if a multiline vector separator was inserted

## name

std::string CLI::ConfigItem::name {}

This is the name.

## parents

std::vector<std::string> CLI::ConfigItem::parents {}

This is the list of parents.

The documentation for this struct was generated from the following file:

- include/CLI/ConfigFwd.hpp